Stop an issue's existing stopwatch.
POST
/repos/{owner}/{repo}/issues/{index}/stopwatch/stop
const url = 'https://gitea.com/api/v1/repos/example/example/issues/1/stopwatch/stop';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.com/api/v1/repos/example/example/issues/1/stopwatch/stop \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the issue to stop the stopwatch on
Responses
Section titled “Responses”APIEmpty is an empty response
Media typeapplication/json
Not repo writer, user does not have rights to toggle stopwatch
Media typeapplication/json
APINotFound is a not found empty response
Media typeapplication/json
Cannot stop a non-existent stopwatch
Media typeapplication/json